agent_id: n8n-file-processor
model: claude-haiku-4-6
squad: n8n-and-workflows
thread_type: C-Thread
purpose: Process file uploads and downloads in n8n workflows; CSV, PDF, image handling, cloud storage ops
status: ready
created: 2026-02-24
